package cz.moneta.test.regression.backoffice.exevido.web.mailroom;

import cz.moneta.test.dsl.Harness;
import cz.moneta.test.dsl.util.credentials.Keys;
import cz.moneta.test.harness.annotations.JiraTestCase;
import cz.moneta.test.harness.annotations.TestCase;
import cz.moneta.test.harness.annotations.TestScenario;
import cz.moneta.test.harness.support.auth.Credentials;
import cz.moneta.test.harness.support.auth.Key;

@TestScenario(name = "Open Incoming Messages")

public class OpenIncomingMessages {

    @TestCase(name = "Open Incoming Messages")
    @JiraTestCase(id = "BOC-T8315")
    public void openIncomingMessages(Harness harness, @Key(Keys.exevido.mailroom) Credentials credentials) {

        harness.withExevido()
                .openLoginPage()
                .then(harness.tasks().exevidoTasks().login().withCredentialsToMmb(credentials))
                .clickAllIncomingMessages()
                .checkFirstIncomingMessagePresence();
    }
}